"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const src_1 = __importDefault(require("./src"));
const react_native_root_siblings_1 = __importDefault(require("react-native-root-siblings"));
let rootToast = undefined;
let timeToast = undefined;
const Toast = {
    show: (message, duration = 3000) => {
        rootToast === null || rootToast === void 0 ? void 0 : rootToast.destroy();
        rootToast = undefined;
        rootToast = new react_native_root_siblings_1.default(react_1.default.createElement(src_1.default, { message: message, duration: duration }));
        timeToast = setTimeout(() => {
            Toast.hide();
        }, duration);
    },
    hide: () => {
        timeToast && clearTimeout(timeToast);
        timeToast = undefined;
        rootToast === null || rootToast === void 0 ? void 0 : rootToast.destroy();
        rootToast = undefined;
    }
};
exports.default = Toast;
